#!/bin/bash
# install.sh - install the pcxfirewall-demo web frontend-demo into the filesystem.
# Created by James A. Pattie <james@pcxperience.com>
# Copyright (c) 2004-2005, Xperience, Inc.  http://www.xperienceinc.com/

# Debian defaults
WEBUSER=www-data
WEBGROUP=www-data

# RedHat defaults
#WEBUSER=apache
#WEBGROUP=apache

USAGE="`basename $0` [-p PREFIX] [-h]"
USAGE2="  -p PREFIX - install into the PREFIX directory.  ex: -p debian"
PREFIX=""

while getopts p:h OPTION ;
do
  case "$OPTION" in
    p)  PREFIX="$OPTARG" ;;
    h|?) echo "$USAGE"; echo "$USAGE2"; exit 1 ;;
  esac
done


# make the /usr/share/pcxfirewall-demo directories
mkdir -p ${PREFIX}/usr/share/pcxfirewall-demo/{cgi-bin,js,configs,css}

# make the /etc/pcx-firewall/frontend-demo directories
mkdir -p ${PREFIX}/etc/pcx-firewall/frontend-demo/scripts

# now copy the web content over.
cp -f index.html ${PREFIX}/usr/share/pcxfirewall-demo/
cp -f cgi-bin/* ${PREFIX}/usr/share/pcxfirewall-demo/cgi-bin/
cp -f css/* ${PREFIX}/usr/share/pcxfirewall-demo/css/
cp -f js/* ${PREFIX}/usr/share/pcxfirewall-demo/js/
cp -f configs/* ${PREFIX}/usr/share/pcxfirewall-demo/configs/

# now copy the config files over.
cp etc/pcx-firewall/frontend-demo/{apache.include,passwords} ${PREFIX}/etc/pcx-firewall/frontend-demo/
if [ -e ${PREFIX}/etc/pcx-firewall/frontend-demo/settings.pm ]; then
  cp -f ${PREFIX}/etc/pcx-firewall/frontend-demo/settings.pm ${PREFIX}/etc/pcx-firewall/frontend-demo/settings.pm.bak
fi
cp -f etc/pcx-firewall/frontend-demo/settings.pm ${PREFIX}/etc/pcx-firewall/frontend-demo/
cp -f etc/pcx-firewall/frontend-demo/scripts/install ${PREFIX}/etc/pcx-firewall/frontend-demo/scripts/

# see if we are migrating an old /etc/pcx_firewall -> /etc/pcx-firewall.
if [ -d /etc/pcx_firewall/frontend-demo ]; then
  cp -af /etc/pcx_firewall/frontend-demo/{passwords,preferences.conf,settings.pm} /etc/pcx-firewall/frontend-demo/
  rm -rf /etc/pcx_firewall/frontend-demo
fi

# now fixup permissions
chown ${WEBUSER}:${WEBGROUP} ${PREFIX}/usr/share/pcxfirewall-demo/configs
chmod 0700 ${PREFIX}/usr/share/pcxfirewall-demo/configs
chown -R ${WEBUSER}:${WEBGROUP} ${PREFIX}/usr/share/pcxfirewall-demo/configs/*
chmod 0600 ${PREFIX}/usr/share/pcxfirewall-demo/configs/*.xml

chown ${WEBUSER}:${WEBGROUP} ${PREFIX}/etc/pcx-firewall/frontend-demo
chmod 0700 ${PREFIX}/etc/pcx-firewall/frontend-demo

